// main: app.less
/** Select 2 Jquery*/
.select2-container--default .select2-selection--single {
    position: relative;
    display: block;
    overflow: hidden;
    padding: 0px;
    height: 40px !important;
    border-radius: 0px;
    border: 0px;
    box-shadow: none;
    color: #444;
    text-decoration: none;
    white-space: nowrap;
    line-height: 24px;
    padding: .375rem .75rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    &:focus, &:focus-within, &:hover, &:active {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);   
    }
    .select2-selection__arrow {
        height: 40px !important;
    }
}
.dataTables_wrapper {
    background-color: #fff;
    border: none;
    border-radius: 0px;
    .gd {
        @media screen and (min-width: 500px) {
            display: flex;
            & > div {
                flex: 1 1 auto !important
            }
        }
    }
}
.badge-table{
    font-size:85%;
    min-width: 65.5px;
    letter-spacing: 0.6px;
}
#errorMessage {
    span {
        display: inline-block;
        width: 100%;
        &:before {
            display:inline-block;
            font:normal normal normal 24px/1 "Material Design Icons";
            font-size: inherit;
            content:"\F156";
            padding-right: 5px;
        }
    }
}
#eaNotifModal {
    .modal-dialog {
        max-width: 500px;
        .modal-content {
            background-color: #fff!important;
            padding: 15px;
            .ea-notif-{
                &body {
                    text-align: center;
                    margin-left: 0px;
                    .title {
                        font-size: 16px;
                        font-family: 'CerebriSansBook', Tahoma, Geneva, Verdana, sans-serif;
                        color: #6c757d;
                        margin-bottom: 12px;
                        font-weight: 600;
                    }
                    .message {
                        font-size: 14px;
                        color: #6c757d;
                    }
                }
                &left, &header {
                    display: none;
                }
                &footer {
                    display: inline;
                    text-align: center;
                    .btn {
                        padding: 0.25rem 0.5rem !important;
                        font-size: 0.875rem !important;
                        line-height: 1.5 !important;
                        border-radius: 0.2rem !important;
                        &:nth-child(1) {
                            background-color: #fff !important;
                            color: #495057 !important;
                            border: 1px solid #EBEDF2 !important;
                            &:hover {
                                color: #fff !important;
                                background-color: #007bff !important;
                                border-color: #007bff !important;
                            }
                        }
                        &:nth-child(2) {
                            background-color: #fd397a !important;
                            border-color: #fd397a !important;
                            &:hover {
                                background-color: #fd1361 !important;
                                border-color: #fd1361 !important;
                            }
                        }
                    }
                }
            }
        }
    }
}

.bootstrap-tagsinput {
    width: 100%;
    font-size: 16px;
}

.btn-outline-warning {
    &:hover {
        color: #fff;
    }
}

.btn-xs {
    padding: 4px 5px;
    font-size: 12px;
    i::before {
        font-size: 12px;
    }
}

.croppie-container {
    .cr-boundary {
        width: 100% !important;
    }
}

/** Material Design Icons**/
.dropdown-menu .mdi {
    width: 18px;
}
.dropdown-menu .mdi::before {
    position: relative;
    top: 4px;
    left: -8px;
}
.nav .mdi::before {
    position: relative;
    top: 4px;
}
.navbar .navbar-toggle .mdi::before {
    position: relative;
    top: 4px;
    color: #FFF;
}
.breadcrumb .mdi::before {
    position: relative;
    top: 4px;
}
.breadcrumb a:hover {
    text-decoration: none;
}
.breadcrumb a:hover span {
    text-decoration: underline;
}
.alert .mdi::before {
    position: relative;
    top: 4px;
    margin-right: 2px;
}
.input-group-addon .mdi::before {
    position: relative;
    top: 3px;
}
.navbar-brand .mdi::before {
    position: relative;
    top: 2px;
    margin-right: 2px;
}
.list-group-item .mdi::before {
    position: relative;
    top: 3px;
    left: -3px
}

.circle {
    border-radius: 50%;
}

/** MDI Override */
.mdi {
    &-36px {
        &.mdi-set, &mdi:before {
            font-size: 36px;
        }
    }
}

/** Table Bootstrap */
.table {
    width: 100% !important;
}

/** Custom Checkbox - Repair Compiled Less */
.custom-control {
    &-label {
        &:after {
            background-position-x: 50%;
            background-position-y: center;
            background-size: 50% 50%;
            background-repeat: no-repeat;
        }
    }
}
input {
    font-size: .9rem !important;
}